@import "./normalize.css";

:root {
  --color-primary: #2584ff;
  --color-secondary: #00d9ff;
  --color-accent: #ff3400;
  --color-headings: #1b0760;
  --color-body: #918ca4;
  --color-body-darker: #5c5577;
  --color-border: #ccc;
  --border-radius: 30px;
}

*, *::before, *::after {  
  box-sizing: border-box;
}

/* Typography  */
::selection {
  background: var(--color-primary);
  color: #fff;
}

html {
  /* 62.5% of 16px = 10px */
  font-size: 62.5%;
}

img {
  width: 100%;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

body {
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-size: 2rem;
  line-height: 1.5;
  color: var(--color-body);
}


/*Nav bar*/
.nav {
  align-items: center;
  background: transparent;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 1rem;
}

.nav__list {
  width: 100%;
  margin: 0;
}

.nav__item {
  padding: 0.5rem 2rem;
  /* border-bottom: 1px solid #222; */
}

.nav__item:last-of-type {
  border-bottom: none;
}

.nav__item > a {
  color: #000;
  transition: color .3s;
}

.nav__item > a:hover {
  color: #fff; 
}

.nav__toggler {
  opacity: .5;
  transition: box-shadow .15s;
  cursor: pointer;
}

.collapsible--expanded .collapsible__chevron {
  transform: rotate(0);
}

.nav.collapsible--expanded .nav__toggler {
  opacity: 1;
  box-shadow: 0 0 0 3px #666;
  border-radius: 5px;
}

.nav__brand {
  transform: translateY(5px);
  width: 150px;
}

@media screen and (min-width: 768px) {
  .nav__toggler {
    display: none;
  }

  .nav__list {
    width: auto;
    display: flex;
    font-size: 1.6rem;
    max-height: 100%;
    opacity: 100;
  }

  .nav__item {
    border: 0;
  }
}

/* end of nav */
/* 
 */
/* 
 */



/* Icons  */
.icon {
  width: 40px;
  height: 40px;
}

.icon--small {
  width: 30px;
  height: 30px;
}

.icon--primary {
  fill: var(--color-primary);
}

.icon--white {
  fill: #000;
}

.icon-container {
  background: red;
  width: 64px;
  height: 64px;
  border-radius: 100%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.icon-container--primary {
  background: var(--color-primary);
  color: #fff;
}

.icon-container--accent {
  background: var(--color-accent);
}


/* Collapsibles  */
.collapsible__content {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: all 0.3s;
}


.collapsible--expanded .collapsible__content {
  max-height: 100%;
  opacity: 1;
}

.footer .collapsible__content {
  opacity: 1;
  max-height: 100%;
}



/* Buttons  */
/* .btn {
  border-radius: 40px;
  border: 0;
  cursor: pointer;
  font-size: 1.8rem;
  font-weight: 600;
  margin: 1rem 0;
  outline: 0;
  padding: 2rem 4vw;
  text-align: center;
  text-transform: uppercase;
  white-space: nowrap;
}

.btn .icon {
  width: 2rem;
  height: 2rem;
  margin-right: 1rem;
  vertical-align: middle;
} */
